gtkmm: Gtk::NotebookPage Class Reference

gtkmm 4.0.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::NotebookPage Class Reference

Holds properties of a Gtk::Notebook page. More...

`#include <gtkmm/notebookpage.h>`

Inheritance diagram for Gtk::NotebookPage:
[legend]

## Public Member Functions
| NotebookPage (NotebookPage&& src) noexcept
NotebookPage& | operator= (NotebookPage&& src) noexcept
| ~NotebookPage () noexcept override
GtkNotebookPage* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkNotebookPage* | gobj () const
| Provides access to the underlying C GObject. More...
GtkNotebookPage* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Widget* | get_child ()
| Returns the notebook child to which page belongs. More...
const Widget* | get_child () const
| Returns the notebook child to which page belongs. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_child () const
| The child for this page. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_tab () const
| The tab widget for this page. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_menu () const
| The label widget displayed in the child’s menu entry. More...
Glib::PropertyProxy< Glib::ustring > | property_tab_label ()
| The text of the tab widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tab_label () const
| The text of the tab widget. More...
Glib::PropertyProxy< Glib::ustring > | property_menu_label ()
| The text of the menu widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_menu_label () const
| The text of the menu widget. More...
Glib::PropertyProxy< int > | property_position ()
| The index of the child in the parent. More...
Glib::PropertyProxy_ReadOnly< int > | property_position () const
| The index of the child in the parent. More...
Glib::PropertyProxy< bool > | property_tab_expand ()
| Whether to expand the child’s tab. More...
Glib::PropertyProxy_ReadOnly< bool > | property_tab_expand () const
| Whether to expand the child’s tab. More...
Glib::PropertyProxy< bool > | property_tab_fill ()
| Whether the child’s tab should fill the allocated area. More...
Glib::PropertyProxy_ReadOnly< bool > | property_tab_fill () const
| Whether the child’s tab should fill the allocated area. More...
Glib::PropertyProxy< bool > | property_reorderable ()
| Whether the tab is reorderable by user action. More...
Glib::PropertyProxy_ReadOnly< bool > | property_reorderable () const
| Whether the tab is reorderable by user action. More...
Glib::PropertyProxy< bool > | property_detachable ()
| Whether the tab is detachable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_detachable () const
| Whether the tab is detachable. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::NotebookPage > | wrap (GtkNotebookPage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Holds properties of a Gtk::Notebook page.

Use Gtk::Notebook::get_page() to get a pointer to a NotebookPage object.

See also
  Notebook

Since gtkmm 3.96:

## Constructor & Destructor Documentation

Gtk::NotebookPage::NotebookPage | ( | NotebookPage&& | src | ) |
| noexcept

Gtk::NotebookPage::~NotebookPage | ( |  | ) |
| overridenoexcept

## Member Function Documentation

Widget* Gtk::NotebookPage::get_child | ( |  | ) |

Returns the notebook child to which page belongs.

Returns
  The child to which page belongs.

const Widget* Gtk::NotebookPage::get_child | ( |  | ) | const

Returns the notebook child to which page belongs.

Returns
  The child to which page belongs.

static GType Gtk::NotebookPage::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkNotebookPage* Gtk::NotebookPage::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkNotebookPage* Gtk::NotebookPage::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkNotebookPage* Gtk::NotebookPage::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

NotebookPage& Gtk::NotebookPage::operator= | ( | NotebookPage&& | src | ) |
| noexcept

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::NotebookPage::property_child | ( |  | ) | const

The child for this page.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_detachable | ( |  | ) |

Whether the tab is detachable.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_detachable | ( |  | ) | const

Whether the tab is detachable.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::NotebookPage::property_menu | ( |  | ) | const

The label widget displayed in the child’s menu entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::NotebookPage::property_menu_label | ( |  | ) |

The text of the menu widget.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::NotebookPage::property_menu_label | ( |  | ) | const

The text of the menu widget.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::NotebookPage::property_position | ( |  | ) |

The index of the child in the parent.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::NotebookPage::property_position | ( |  | ) | const

The index of the child in the parent.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_reorderable | ( |  | ) |

Whether the tab is reorderable by user action.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_reorderable | ( |  | ) | const

Whether the tab is reorderable by user action.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::NotebookPage::property_tab | ( |  | ) | const

The tab widget for this page.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_tab_expand | ( |  | ) |

Whether to expand the child’s tab.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_tab_expand | ( |  | ) | const

Whether to expand the child’s tab.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_tab_fill | ( |  | ) |

Whether the child’s tab should fill the allocated area.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_tab_fill | ( |  | ) | const

Whether the child’s tab should fill the allocated area.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::NotebookPage::property_tab_label | ( |  | ) |

The text of the tab widget.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::NotebookPage::property_tab_label | ( |  | ) | const

The text of the tab widget.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::NotebookPage > wrap | ( | GtkNotebookPage * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.